Imagick::getImageProfile
Imagick::getImageProperties
The Imagick class
PHP Manual

# Imagick::getImageProfiles

(No version information available, might be only in CVS)

Imagick::getImageProfiles — Returns the image profiles

### Description

array Imagick::getImageProfiles ([ string `$pattern` [, bool `$only_names` ]] )
Warning

This function is currently not documented; only its argument list is available.

Returns all associated profiles that match the pattern. If `TRUE` is passed as second parameter only the profile names are returned. This method is present if Imagick is compiled against ImageMagick 6.3.5-9 or later.

### Parameters

`pattern`

  The pattern for profile names. Defaults to "*"

`only_names`

  Whether to return only profile names

### Return Values

Returns an array containing the image profiles or profile names.

Imagick::getImageProfile
Imagick::getImageProperties
The Imagick class
PHP Manual